Package org.apache.wiki.auth.login

# Class UserDatabaseCallback

java.lang.Object
org.apache.wiki.auth.login.UserDatabaseCallback

All Implemented Interfaces:
  `Callback`

public class UserDatabaseCallback extends Object implements Callback
Callback for requesting and supplying a wiki UserDatabase. This callback is used by LoginModules that need access to a user database for looking up users by id.

Since:
  2.3

## Constructor Summary

Constructors
Constructor
Description
`UserDatabaseCallback()`

## Method Summary

Modifier and Type
Method
Description
`UserDatabase`
`getUserDatabase()`
Returns the user database object.
`void`
`setUserDatabase(UserDatabase database)`
Sets the user database.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserDatabaseCallback

public UserDatabaseCallback()

## Method Details

### getUserDatabase

public UserDatabase getUserDatabase()
Returns the user database object. LoginModules call this method after a CallbackHandler sets the user database.

Returns:
  the user database

### setUserDatabase

public void setUserDatabase(UserDatabase database)
Sets the user database. CallbackHandler objects call this method..

Parameters:
  `database` - the user database